#!/bin/sh
set -eu
cd $HOME
-LOG=.cache/duplicity/log
+LOG=.cache/backup/log
PATH=$PATH:/sbin:/usr/sbin
RESTIC="restic --password-file $HOME/.config/backup-passphrase --repo sftp:piware.de:backup/restic"
notify-send "Backup started"
mkdir -p $(dirname $LOG)
-env PASSPHRASE="$(cat ~/.config/backup-passphrase)" duplicity --allow-source-mismatch --full-if-older-than 1M --exclude-filelist ~/.config/backup-ignore . rsync://piware.de/backup/laptop >> $LOG || fail
-duplicity remove-all-but-n-full 6 --force rsync://piware.de/backup/laptop
-$RESTIC backup --exclude-file=$HOME/.config/backup-ignore $HOME || fail
+$RESTIC backup --exclude-file=$HOME/.config/backup-ignore $HOME >> $LOG 2>&1 || fail
# TODO: forget --prune policy: https://restic.readthedocs.io/en/stable/060_forget.html
notify-send "Backup finished successfully"